.b-schedule-minimap {
  position: relative;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-user-drag: none;
  border-top: 1px solid;
  background: #fff;
}
body .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._beauty .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._health .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._smile .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._happiness .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._velocity .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._friend .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._strength .b-schedule-minimap {
  border-top-color: var(--versioncolor);
}
body._offline .b-schedule-minimap {
  border-top-color: #b3b3b3 !important;
}
.b-schedule-minimap._no-border {
  border-top-color: transparent !important;
}
.b-schedule-minimap_cr {
  padding: 8px 24px 16px;
}
.b-schedule-minimap-info {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 4px 0 12px;
  font-size: 13px;
  line-height: 1;
}
.b-schedule-minimap-info_item {
  position: relative;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  height: 24px;
  padding: 0 8px 0 28px;
  border: 1px solid #f1f1f1;
  border-radius: 4px;
  line-height: 24px;
}
.b-schedule-minimap-info_item {
  -webkit-transition: background 0.1s ease, border-color 0.1s ease;
          transition: background 0.1s ease, border-color 0.1s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-info_item::before {
  position: absolute;
  top: 2px;
  left: 2px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 20px;
  height: 20px;
  border: 1px solid #fff;
  border-radius: 4px;
  content: ' ';
}
.b-schedule-minimap-info_item::after {
  content: '\e606';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 2px;
  display: none;
  width: 20px;
  margin: -1px 0 0;
  font-size: 16px;
  line-height: 2px;
  color: #fff;
  text-align: center;
}
.b-schedule-minimap-info_item::after {
  -webkit-transition: color 0.1s ease;
          transition: color 0.1s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-info_item._type_scheduled {
  color: #7f89a5;
}
.b-schedule-minimap-info_item._type_scheduled::before {
  background: #d7e1ff;
}
.b-schedule-minimap._remove .b-schedule-minimap-info_item._type_scheduled {
  color: #a5847c;
}
.b-schedule-minimap._remove .b-schedule-minimap-info_item._type_scheduled::before {
  background: #ffd9d1;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-info_item._type_scheduled {
  background: #d7e1ff;
  border-color: transparent;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-info_item._type_scheduled::before {
  background: transparent;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-info_item._type_scheduled::after {
  display: block;
}
.b-schedule-minimap._scheduled._remove .b-schedule-minimap-info_item._type_scheduled {
  background: #ffd9d1;
}
.b-schedule-minimap-info_item._type_selected {
  opacity: 0;
  visibility: hidden;
  color: #a56262;
}
.b-schedule-minimap-info_item._type_selected {
  -webkit-transition: opacity 0.1s ease, visibility 0s 0.1s;
          transition: opacity 0.1s ease, visibility 0s 0.1s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-info_item._type_selected::before {
  background: #ff9b9b;
}
.b-schedule-minimap._remove .b-schedule-minimap-info_item._type_selected {
  opacity: 1;
  visibility: visible;
}
.b-schedule-minimap._remove .b-schedule-minimap-info_item._type_selected {
  -webkit-transition: opacity 0.1s ease, visibility 0s;
          transition: opacity 0.1s ease, visibility 0s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap._selected .b-schedule-minimap-info_item._type_selected {
  background: #ff9b9b;
  border-color: transparent;
}
.b-schedule-minimap._selected .b-schedule-minimap-info_item._type_selected::before {
  background: transparent;
}
.b-schedule-minimap._selected .b-schedule-minimap-info_item._type_selected::after {
  display: block;
}
.b-schedule-minimap-info_item._type_empty {
  color: #666;
}
.b-schedule-minimap-info_item._type_empty::before {
  background: #fff;
  -webkit-box-shadow: 0 0 0 2px #e5e5e5 inset;
          box-shadow: 0 0 0 2px #e5e5e5 inset;
}
.b-schedule-minimap._empty .b-schedule-minimap-info_item._type_empty {
  background: #e5e5e5;
  border-color: #e5e5e5;
}
.b-schedule-minimap._empty .b-schedule-minimap-info_item._type_empty::after {
  display: block;
  color: #e5e5e5;
}
.b-schedule-minimap-info_item + .b-schedule-minimap-info_item {
  margin: 0 0 0 16px;
}
.b-schedule-minimap-days {
  position: relative;
  margin: 0 0 0 -40px;
}
.b-schedule-minimap-days_cr {
  position: relative;
  -webkit-transform: translate3D(0, 0, 0);
      -ms-transform: translate3D(0, 0, 0);
          transform: translate3D(0, 0, 0);
}
.b-schedule-minimap-months {
  position: relative;
  margin: 0 0 0 -40px;
}
.b-schedule-minimap-months_cr {
  position: relative;
  -webkit-transform: translate3D(0, 0, 0);
      -ms-transform: translate3D(0, 0, 0);
          transform: translate3D(0, 0, 0);
}
.b-schedule-minimap-day {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  height: 100%;
  margin: 0 0 0 40px;
}
.b-schedule-minimap-day::before {
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 12px;
  left: 0;
  width: 1px;
  background: #d8d8d8;
  content: ' ';
}
.b-schedule-minimap-day:last-child::after {
  display: none;
  content: '\e600';
  font-family: 'common-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  left: 100%;
  top: 50%;
  line-height: 2px;
  color: #b4b4b4;
  font-size: 24px;
  margin-left: 40px;
}
.b-schedule-minimap-day:last-child::after {
  -webkit-animation: 1.5s linear 0s normal none infinite running spin;
          animation: 1.5s linear 0s normal none infinite running spin;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-days._preloader .b-schedule-minimap-day:last-child::after {
  display: block;
}
.b-schedule-minimap-day_title {
  overflow: hidden;
  padding: 0 4px;
  padding: 0 4px;
  font-size: 9px;
  line-height: 18px;
  color: #3e3e3e;
  font-weight: 700;
  text-transform: uppercase;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.b-schedule-minimap-day_date {
  display: inline;
  color: #8f979b;
  text-transform: none;
}
.b-schedule-minimap-day_hours {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-schedule-minimap-row {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-schedule-minimap-record {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  height: 12px;
}
.b-schedule-minimap-record._duration_1h {
  width: 10px;
}
.b-schedule-minimap-record._duration_2h {
  width: 20px;
}
.b-schedule-minimap-record._duration_3h {
  width: 30px;
}
.b-schedule-minimap-record._duration_4h {
  width: 40px;
}
.b-schedule-minimap-record._duration_5h {
  width: 50px;
}
.b-schedule-minimap-record._duration_6h {
  width: 60px;
}
.b-schedule-minimap-record._duration_7h {
  width: 70px;
}
.b-schedule-minimap-record._duration_8h {
  width: 80px;
}
.b-schedule-minimap-record._duration_9h {
  width: 90px;
}
.b-schedule-minimap-record._duration_10h {
  width: 100px;
}
.b-schedule-minimap-record._duration_11h {
  width: 110px;
}
.b-schedule-minimap-record._duration_12h {
  width: 120px;
}
.b-schedule-minimap-record._duration_13h {
  width: 130px;
}
.b-schedule-minimap-record._duration_14h {
  width: 140px;
}
.b-schedule-minimap-record._duration_15h {
  width: 150px;
}
.b-schedule-minimap-record._duration_16h {
  width: 160px;
}
.b-schedule-minimap-record._duration_17h {
  width: 170px;
}
.b-schedule-minimap-record._duration_18h {
  width: 180px;
}
.b-schedule-minimap-record._duration_19h {
  width: 190px;
}
.b-schedule-minimap-record._duration_20h {
  width: 200px;
}
.b-schedule-minimap-record._duration_21h {
  width: 210px;
}
.b-schedule-minimap-record._duration_22h {
  width: 220px;
}
.b-schedule-minimap-record._duration_23h {
  width: 230px;
}
.b-schedule-minimap-record._duration_24h {
  width: 240px;
}
.b-schedule-minimap-record._duration_25h {
  width: 250px;
}
.b-schedule-minimap-record._duration_26h {
  width: 260px;
}
.b-schedule-minimap-record._duration_27h {
  width: 270px;
}
.b-schedule-minimap-record._duration_28h {
  width: 280px;
}
.b-schedule-minimap-record._duration_29h {
  width: 290px;
}
.b-schedule-minimap-record._duration_30h {
  width: 300px;
}
.b-schedule-minimap-record._duration_31h {
  width: 310px;
}
.b-schedule-minimap-record._duration_32h {
  width: 320px;
}
.b-schedule-minimap-record._duration_33h {
  width: 330px;
}
.b-schedule-minimap-record._duration_34h {
  width: 340px;
}
.b-schedule-minimap-record._duration_35h {
  width: 350px;
}
.b-schedule-minimap-record._duration_36h {
  width: 360px;
}
.b-schedule-minimap-record._duration_37h {
  width: 370px;
}
.b-schedule-minimap-record._duration_38h {
  width: 380px;
}
.b-schedule-minimap-record._duration_39h {
  width: 390px;
}
.b-schedule-minimap-record._duration_40h {
  width: 400px;
}
.b-schedule-minimap-record._duration_41h {
  width: 410px;
}
.b-schedule-minimap-record._duration_42h {
  width: 420px;
}
.b-schedule-minimap-record._duration_43h {
  width: 430px;
}
.b-schedule-minimap-record._duration_44h {
  width: 440px;
}
.b-schedule-minimap-record._duration_45h {
  width: 450px;
}
.b-schedule-minimap-record._duration_46h {
  width: 460px;
}
.b-schedule-minimap-record._duration_47h {
  width: 470px;
}
.b-schedule-minimap-record._duration_48h {
  width: 480px;
}
.b-schedule-minimap._highlight .b-schedule-minimap-record {
  opacity: 0.25;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-record._type_scheduled,
.b-schedule-minimap._selected .b-schedule-minimap-record._selected,
.b-schedule-minimap._empty .b-schedule-minimap-record._type_none {
  opacity: 1;
}
.b-schedule-minimap-record_cr {
  position: absolute;
  top: 1px;
  right: 1px;
  bottom: 1px;
  left: 1px;
  border-radius: 2px;
}
.b-schedule-minimap-record._type_scheduled .b-schedule-minimap-record_cr {
  background: #d7e1ff;
}
.b-schedule-minimap._remove .b-schedule-minimap-record._type_scheduled .b-schedule-minimap-record_cr {
  background: #ffd9d1;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-record._type_scheduled .b-schedule-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #96aded inset;
          box-shadow: -1px -1px #96aded inset;
}
.b-schedule-minimap._scheduled._remove .b-schedule-minimap-record._type_scheduled .b-schedule-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #eda08f inset;
          box-shadow: -1px -1px #eda08f inset;
}
.b-schedule-minimap._empty .b-schedule-minimap-record._type_none .b-schedule-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #c4c4c4 inset, 0 0 0 2px #e5e5e5 inset;
          box-shadow: -1px -1px #c4c4c4 inset, 0 0 0 2px #e5e5e5 inset;
  background: #fff;
}
.b-schedule-minimap-record._edit .b-schedule-minimap-record_cr {
  -webkit-box-shadow: 0 0 0 1px #6c6c6c inset;
          box-shadow: 0 0 0 1px #6c6c6c inset;
}
.b-schedule-minimap._remove .b-schedule-minimap-record._selected .b-schedule-minimap-record_cr {
  background: #ff9b9b;
}
.b-schedule-minimap._selected._remove .b-schedule-minimap-record._selected .b-schedule-minimap-record_cr {
  -webkit-box-shadow: -1px -1px #ed4747 inset;
          box-shadow: -1px -1px #ed4747 inset;
}
.b-schedule-minimap-hour {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  width: 20px;
  height: 12px;
  margin: 2px 0 0;
}
.b-schedule-minimap-hour::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 1px;
  height: 2px;
  background: #d1d1d1;
  content: ' ';
}
.b-schedule-minimap-hour:nth-child(2n+1)::before {
  height: 3px;
}
.b-schedule-minimap-hour:nth-child(4n+1)::before {
  height: 4px;
}
.b-schedule-minimap-day._half .b-schedule-minimap-hour:first-child {
  width: 10px;
}
.b-schedule-minimap-hour_number {
  position: absolute;
  top: 0;
  left: 2px;
  font-size: 8px;
  color: #3e3e3e;
  font-weight: 600;
}
.b-schedule-minimap-day._half .b-schedule-minimap-hour_number:first-child {
  display: none;
}
.b-schedule-minimap-month {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  height: 100%;
  margin: 0 0 0 40px;
}
.b-schedule-minimap-month::before {
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 12px;
  left: 0;
  width: 1px;
  background: #d8d8d8;
  content: ' ';
}
.b-schedule-minimap-month:last-child::after {
  display: none;
  content: '\e600';
  font-family: 'common-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  left: 100%;
  top: 50%;
  line-height: 2px;
  color: #b4b4b4;
  font-size: 24px;
  margin-left: 40px;
}
.b-schedule-minimap-month:last-child::after {
  -webkit-animation: 1.5s linear 0s normal none infinite running spin;
          animation: 1.5s linear 0s normal none infinite running spin;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-months._preloader .b-schedule-minimap-month:last-child::after {
  display: block;
}
.b-schedule-minimap-month-title {
  position: relative;
  overflow: hidden;
  height: 18px;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.b-schedule-minimap-month-title_text {
  display: inline-block;
  vertical-align: top;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 64px;
  padding: 0 0 0 4px;
  background: #fff;
  font-size: 9px;
  line-height: 18px;
  color: #3e3e3e;
  font-weight: 700;
  text-transform: uppercase;
}
.b-schedule-minimap-month_date {
  display: inline;
  color: #8f979b;
  text-transform: none;
}
.b-schedule-minimap-month-row {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-schedule-minimap-month-record {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  width: 16px;
  height: 14px;
}
.b-schedule-minimap-month-record._saturday,
.b-schedule-minimap-month-record._sunday {
  background: #f2f2f2;
}
.b-schedule-minimap._highlight .b-schedule-minimap-month-record {
  opacity: 0.25;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-month-record._type_scheduled,
.b-schedule-minimap._selected .b-schedule-minimap-month-record._selected,
.b-schedule-minimap._empty .b-schedule-minimap-month-record._type_none {
  opacity: 1;
}
.b-schedule-minimap-month-record_cr {
  position: absolute;
  top: 1px;
  right: 1px;
  bottom: 1px;
  left: 1px;
  border-radius: 2px;
}
.b-schedule-minimap-month-record._type_scheduled .b-schedule-minimap-month-record_cr {
  background: #d7e1ff;
}
.b-schedule-minimap._remove .b-schedule-minimap-month-record._type_scheduled .b-schedule-minimap-month-record_cr {
  background: #ffd9d1;
}
.b-schedule-minimap._scheduled .b-schedule-minimap-month-record._type_scheduled .b-schedule-minimap-month-record_cr {
  -webkit-box-shadow: -1px -1px #96aded inset;
          box-shadow: -1px -1px #96aded inset;
}
.b-schedule-minimap._scheduled._remove .b-schedule-minimap-month-record._type_scheduled .b-schedule-minimap-month-record_cr {
  -webkit-box-shadow: -1px -1px #eda08f inset;
          box-shadow: -1px -1px #eda08f inset;
}
.b-schedule-minimap._empty .b-schedule-minimap-month-record._type_none .b-schedule-minimap-month-record_cr {
  -webkit-box-shadow: -1px -1px #c4c4c4 inset, 0 0 0 2px #e5e5e5 inset;
          box-shadow: -1px -1px #c4c4c4 inset, 0 0 0 2px #e5e5e5 inset;
  background: #fff;
}
.b-schedule-minimap._remove .b-schedule-minimap-month-record._selected .b-schedule-minimap-month-record_cr {
  background: #ff9b9b;
}
.b-schedule-minimap._selected._remove .b-schedule-minimap-month-record._selected .b-schedule-minimap-month-record_cr {
  -webkit-box-shadow: -1px -1px #ed4747 inset;
          box-shadow: -1px -1px #ed4747 inset;
}
.b-schedule-minimap-month_days {
  position: absolute;
  bottom: 0;
  left: 0;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-schedule-minimap-month_days._top {
  top: 0;
  bottom: auto;
}
.b-schedule-minimap-month-day {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  width: 16px;
  height: 14px;
  line-height: 14px;
  text-align: center;
}
.b-schedule-minimap-month-day_number {
  display: inline-block;
  vertical-align: top;
  font-size: 8px;
  line-height: 1;
  color: #3e3e3e;
  font-weight: 600;
  vertical-align: middle;
}
.b-schedule-minimap-view {
  position: absolute;
  z-index: 2;
  top: 18px;
  bottom: 14px;
  left: 40px;
  visibility: hidden;
  pointer-events: none;
}
.b-schedule-minimap-view_left {
  position: absolute;
  top: -1px;
  bottom: -1px;
  left: -1px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid #6c6c6c;
  border-right: 0;
}
.b-schedule-minimap-view_right {
  position: absolute;
  top: -1px;
  right: -1px;
  bottom: -1px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 16px;
  border: 2px solid #6c6c6c;
  border-left: 0;
}
.b-schedule-minimap-message {
  position: absolute;
  z-index: 2;
  bottom: 0;
  left: 22px;
  display: none;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  max-width: 400px;
  padding: 8px 32px 8px 8px;
  border: 2px solid #fff;
  border-radius: 4px;
  font-size: 13px;
  line-height: 16px;
}
.b-schedule-minimap-message._green {
  background: #cdfa89;
  color: #46631a;
}
.b-schedule-minimap-message._red {
  background: #fcdbd3;
  color: #b08075;
}
.b-schedule-minimap-message._show {
  display: block;
}
.b-schedule-minimap-message._show {
  -webkit-animation: minimap_fade-in 0.2s ease;
          animation: minimap_fade-in 0.2s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.b-schedule-minimap-message_close {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  width: 40px;
}
.b-schedule-minimap-message_close::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
  text-align: center;
}
.b-schedule-minimap-message_close:active::before {
  margin-top: 0;
}
.b-schedule-minimap-message._green .b-schedule-minimap-message_close::before {
  color: #46631a;
}
.b-schedule-minimap-message._red .b-schedule-minimap-message_close::before {
  color: #b08075;
}
